/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#include "includes.h"

#define Device_cal (void   (*)(void))0x3D7C80

/*
 * Initialize GPIOs
 */
void initGPIO()
{
   EALLOW;
   //--------------------------------------------------------------------------------------
   //  GPIO-00 - PIN FUNCTION = PWM_A
   GpioCtrlRegs.GPAMUX1.bit.GPIO0 = 1;		// 0=GPIO, 1=EPWM1A, 2=Resv, 3=Resv
   //	GpioCtrlRegs.GPADIR.bit.GPIO0 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO0 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO0 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-01 - PIN FUNCTION = RESET_An - will be configured as PWM!
   GpioCtrlRegs.GPAMUX1.bit.GPIO1 = 0;	// 0=GPIO,  1=EPWM1B,  2=Resv,  3=COMP1OUT
   GpioCtrlRegs.GPADIR.bit.GPIO1 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO1 = 1;	// uncomment if --> Set Low initially
   GpioDataRegs.GPASET.bit.GPIO1 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-02 - PIN FUNCTION = PWM_B
   GpioCtrlRegs.GPAMUX1.bit.GPIO2 = 1;		// 0=GPIO, 1=EPWM2A, 2=Resv, 3=Resv
   //	GpioCtrlRegs.GPADIR.bit.GPIO2 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO2 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO2 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-03 - PIN FUNCTION = RESET_Bn - will be configured as PWM!
   GpioCtrlRegs.GPAMUX1.bit.GPIO3 = 0;	// 0=GPIO,  1=EPWM2B,  2=SPISOMI-A,  3=COMP2OUT
   GpioCtrlRegs.GPADIR.bit.GPIO3 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO3 = 1;	// uncomment if --> Set Low initially
   GpioDataRegs.GPASET.bit.GPIO3 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-04 - PIN FUNCTION = PWM_C
   GpioCtrlRegs.GPAMUX1.bit.GPIO4 = 1;		// 0=GPIO, 1=EPWM3A, 2=Resv, 3=Resv
   //	GpioCtrlRegs.GPADIR.bit.GPIO4 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO4 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO4 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-05 - PIN FUNCTION = RESET_Cn - will be configured as PWM!
   GpioCtrlRegs.GPAMUX1.bit.GPIO5 = 0;	// 0=GPIO,  1=EPWM3B,  2=SPISIMO-A,  3=ECAP1
   GpioCtrlRegs.GPADIR.bit.GPIO5 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO5 = 1;	// uncomment if --> Set Low initially
   GpioDataRegs.GPASET.bit.GPIO5 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-06 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPAMUX1.bit.GPIO6 = 0;	// 0=GPIO, 1=EPWM4A, 2=EPWMSYNCI, 3=EPWMSYNCO
   GpioCtrlRegs.GPADIR.bit.GPIO6 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO6 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO6 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-07 - PIN FUNCTION = STOP
   GpioCtrlRegs.GPAMUX1.bit.GPIO7 = 0;	// 0=GPIO, 1=EPWM4B, 2=SCIRXDA, 3=ECAP2
   GpioCtrlRegs.GPADIR.bit.GPIO7 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO7 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO7 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-08 - PIN FUNCTION = DAC_PWM3
   GpioCtrlRegs.GPAMUX1.bit.GPIO8 = 1;	// 0=GPIO,  1=EPWM5A,  2=Resv,  3=ADCSOCA
   //	GpioCtrlRegs.GPADIR.bit.GPIO8 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO8 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO8 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-09 - PIN FUNCTION =  START
   GpioCtrlRegs.GPAMUX1.bit.GPIO9 = 0;	// 0=GPIO,  1=EPWM5B,  2=SCITXDB,  3=ECAP3
   GpioCtrlRegs.GPADIR.bit.GPIO9 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO9 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO9 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-10 - PIN FUNCTION = DAC_PWM1
   GpioCtrlRegs.GPAMUX1.bit.GPIO10 = 1;// 0=GPIO,  1=EPWM6A,  2=Resv,  3=ADCSOCB
   //	GpioCtrlRegs.GPADIR.bit.GPIO10 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO10 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO10 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-11 - PIN FUNCTION = DAC_PWM2
   GpioCtrlRegs.GPAMUX1.bit.GPIO11 = 1;// 0=GPIO,  1=EPWM6B,  2=SCIRXDB,  3=ECAP1
   //	GpioCtrlRegs.GPADIR.bit.GPIO11 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO11 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO11 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-12 - PIN FUNCTION = LED 1-
   GpioCtrlRegs.GPAMUX1.bit.GPIO12 = 0;// 0=GPIO, 1=TZ1n, 2=SCITXDA, 3=SPISIMOB
   GpioCtrlRegs.GPADIR.bit.GPIO12 = 1;		// 1=OUTput,  0=INput
   GpioDataRegs.GPACLEAR.bit.GPIO12 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO12 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-13 - PIN FUNCTION = TZ-OTWn
   GpioCtrlRegs.GPAMUX1.bit.GPIO13 = 1;// 0=GPIO,  1=TZ2,  2=Resv,  3=SPISOMIB
   //	GpioCtrlRegs.GPADIR.bit.GPIO13 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO13 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO13 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-14 - PIN FUNCTION = TZ-FAULTn
   GpioCtrlRegs.GPAMUX1.bit.GPIO14 = 1;// 0=GPIO,  1=TZ3,  2=SCITXDB,  3=SPICLKB
   //	GpioCtrlRegs.GPADIR.bit.GPIO14 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO14 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO14 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-15 - PIN FUNCTION = LED1
   GpioCtrlRegs.GPAMUX1.bit.GPIO15 = 0;// 0=GPIO,  1=ECAP2,  2=SCIRXDB,  3=SPISTEB
   GpioCtrlRegs.GPADIR.bit.GPIO15 = 1;		// 1=OUTput,  0=INput
   GpioDataRegs.GPACLEAR.bit.GPIO15 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO15 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   //  GPIO-16 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPAMUX2.bit.GPIO16 = 0;// 0=GPIO, 1=SPISIMOA, 2=Resv CAN-B, 3=TZ2n
   GpioCtrlRegs.GPADIR.bit.GPIO16 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO16 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO16 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-17 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPAMUX2.bit.GPIO17 = 0;// 0=GPIO, 1=SPISOMIA, 2=Resv CAN-B, 3=TZ3n
   GpioCtrlRegs.GPADIR.bit.GPIO17 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO17 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO17 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-18 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPAMUX2.bit.GPIO18 = 0;// 0=GPIO, 1=SPICLKA, 2=SCITXDB, 3=XCLKOUT
   GpioCtrlRegs.GPADIR.bit.GPIO18 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO18 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO18 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-19 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPAMUX2.bit.GPIO19 = 0;// 0=GPIO, 1=SPISTEA, 2=SCIRXDB, 3=ECAP1
   GpioCtrlRegs.GPADIR.bit.GPIO19 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO19 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO19 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-20 - PIN FUNCTION = QEPA
   GpioCtrlRegs.GPAMUX2.bit.GPIO20 = 1;// 0=GPIO,  1=EQEP1A,  2=MDXA,  3=COMP1OUT
   //	GpioCtrlRegs.GPADIR.bit.GPIO20 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO20 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO20 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-21 - PIN FUNCTION = QEPB
   GpioCtrlRegs.GPAMUX2.bit.GPIO21 = 1;// 0=GPIO,  1=EQEP1B,  2=MDRA,  3=COMP2OUT
   //	GpioCtrlRegs.GPADIR.bit.GPIO21 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO21 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO21 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-22 - PIN FUNCTION = STATUS (LED)
   GpioCtrlRegs.GPAMUX2.bit.GPIO22 = 0;// 0=GPIO,  1=EQEP1S,  2=MCLKXA,  3=SCITXDB
   GpioCtrlRegs.GPADIR.bit.GPIO22 = 1;		// 1=OUTput,  0=INput
   GpioDataRegs.GPACLEAR.bit.GPIO22 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO22 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-23 - PIN FUNCTION = QEPI
   GpioCtrlRegs.GPAMUX2.bit.GPIO23 = 1;// 0=GPIO,  1=EQEP1I,  2=MFSXA,  3=SCIRXDB
   //	GpioCtrlRegs.GPADIR.bit.GPIO23 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO23 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO23 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-24 - PIN FUNCTION = CAP1
   GpioCtrlRegs.GPAMUX2.bit.GPIO24 = 0;// 0=GPIO,  1=ECAP1,  2=EQEP2A,  3=SPISIMOB
   GpioCtrlRegs.GPADIR.bit.GPIO24 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO24 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO24 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-25 - PIN FUNCTION = CAP2
   GpioCtrlRegs.GPAMUX2.bit.GPIO25 = 0;// 0=GPIO,  1=ECAP2,  2=EQEP2B,  3=SPISOMIB
   GpioCtrlRegs.GPADIR.bit.GPIO25 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO25 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO25 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-26 - PIN FUNCTION = CAP3 - ALSO USB
   GpioCtrlRegs.GPAMUX2.bit.GPIO26 = 0;// 0=GPIO,  1=ECAP3,  2=EQEP2I,  3=SPICLKB
   GpioCtrlRegs.GPADIR.bit.GPIO26 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO26 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO26 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-27 - PIN FUNCTION = --Spare--  - ALSO USB
   GpioCtrlRegs.GPAMUX2.bit.GPIO27 = 0;// 0=GPIO,  1=HRCAP2,  2=EQEP2S,  3=SPISTEB
   GpioCtrlRegs.GPADIR.bit.GPIO27 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO27 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO27 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-28 - PIN FUNCTION = SCI-RX on ISO controlCARD
   GpioCtrlRegs.GPAMUX2.bit.GPIO28 = 1;	// 0=GPIO,  1=SCIRXDA,  2=SDAA,  3=TZ2
   //	GpioCtrlRegs.GPADIR.bit.GPIO28 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO28 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO28 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-29 - PIN FUNCTION = SCI-TX on ISO controlCARD
   GpioCtrlRegs.GPAMUX2.bit.GPIO29 = 1;	// 0=GPIO,  1=SCITXDA,  2=SCLA,  3=TZ3
   //	GpioCtrlRegs.GPADIR.bit.GPIO29 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO29 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO29 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-30 - PIN FUNCTION = CANRX
   GpioCtrlRegs.GPAMUX2.bit.GPIO30 = 1;// 0=GPIO,  1=CANRXA,  2=EQEP2I,  3=EPWM7A
   //GpioCtrlRegs.GPADIR.bit.GPIO30 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO30 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPASET.bit.GPIO30 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-31 - PIN FUNCTION = LED2 on controlCARD (CANTX)
   GpioCtrlRegs.GPAMUX2.bit.GPIO31 = 1;// 0=GPIO,  1=CANTXA,  2=EQEP2S,  3=EPWM8A
   //GpioCtrlRegs.GPADIR.bit.GPIO31 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPACLEAR.bit.GPIO31 = 1;	// uncomment if --> Set Low initially
   //GpioDataRegs.GPASET.bit.GPIO31 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   //  GPIO-32 - PIN FUNCTION = --Spare
   GpioCtrlRegs.GPBMUX1.bit.GPIO32 = 0;// 0=GPIO,  1=SDAA,  2=EPWMSYNCI,  3=ADCSOCA
   GpioCtrlRegs.GPBDIR.bit.GPIO32 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO32 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO32 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-33 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO33 = 0;// 0=GPIO,  1=SCLA,  2=EPWMSYNCO,  3=ADCSOCB
   GpioCtrlRegs.GPBDIR.bit.GPIO33 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO33 = 1;	// uncomment if --> Set Low initially
   GpioDataRegs.GPBSET.bit.GPIO33 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-34 - PIN FUNCTION = LED3 on controlCARD
   GpioCtrlRegs.GPBMUX1.bit.GPIO34 = 0;// 0=GPIO,  1=COMP2OUT,  2=Resv,  3=COMP3OUT
   GpioCtrlRegs.GPBDIR.bit.GPIO34 = 1;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO34 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO34 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   // GPIO 35-38 are defaulted to JTAG usage, and are not shown here to enforce JTAG debug
   // usage.
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   //  GPIO-39 - PIN FUNCTION = --Spare (Goes to USB) --
   GpioCtrlRegs.GPBMUX1.bit.GPIO39 = 0;	// 0=GPIO,  1=Resv,  2=Resv,  3=Resv
   GpioCtrlRegs.GPBDIR.bit.GPIO39 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO39 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO39 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-40 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO40 = 0;// 0=GPIO,  1=EPWM7A,  2=SCITXDB,  3=Resv
   GpioCtrlRegs.GPBDIR.bit.GPIO40 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO40 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO40 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-41 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO41 = 0;// 0=GPIO,  1=EPWM7B,  2=SCIRXDB,  3=Resv
   GpioCtrlRegs.GPBDIR.bit.GPIO41 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO41 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO41 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-42 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO42 = 0;// 0=GPIO,  1=EPWM8A,  2=TZ1,  3=COMP1OUT
   GpioCtrlRegs.GPBDIR.bit.GPIO42 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO42 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO42 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-43 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO43 = 0;// 0=GPIO,  1=EPWM8B,  2=TZ2,  3=COMP2OUT
   GpioCtrlRegs.GPBDIR.bit.GPIO43 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO43 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO43 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-44 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX1.bit.GPIO44 = 0;// 0=GPIO,  1=MFSRA,  2=SCIRXDB,  3=EPWM7B
   GpioCtrlRegs.GPBDIR.bit.GPIO44 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO44 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO44 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   //  GPIO-50 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO50 = 0;	// 0=GPIO,  1=EQEP1A,  2=MDXA,  3=TZ1
   GpioCtrlRegs.GPBDIR.bit.GPIO50 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO50 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO50 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-51 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO51 = 0;	// 0=GPIO,  1=EQEP1B,  2=MDRA,  3=TZ2
   GpioCtrlRegs.GPBDIR.bit.GPIO51 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO51 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO51 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-52 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO52 = 0;// 0=GPIO,  1=EQEP1S,  2=MCLKXA,  3=TZ3
   GpioCtrlRegs.GPBDIR.bit.GPIO52 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO52 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO52 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-53 - PIN FUNCTION = --Spare (USB) --
   GpioCtrlRegs.GPBMUX2.bit.GPIO53 = 0;	// 0=GPIO,  1=EQEP1I,  2=MFSXA, 3=Resv
   GpioCtrlRegs.GPBDIR.bit.GPIO53 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO53 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO53 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-54 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO54 = 0;// 0=GPIO,  1=SPISIMOA,  2=EQPE2A,  3=HRCAP1
   GpioCtrlRegs.GPBDIR.bit.GPIO54 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO54 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO54 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-55 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO55 = 0;// 0=GPIO,  1=SPISOMIA,  2=EQEP2B,  3=HRCAP2
   GpioCtrlRegs.GPBDIR.bit.GPIO55 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO55 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO55 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-56 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO56 = 0;// 0=GPIO,  1=SPICLKA,  2=EQEP2I,  3=HRCAP3
   GpioCtrlRegs.GPBDIR.bit.GPIO56 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO56 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO56 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-57 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO57 = 0;// 0=GPIO,  1=SPISTEA,  2=EQEP2S,  3=HRCAP4
   GpioCtrlRegs.GPBDIR.bit.GPIO57 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO57 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO57 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //  GPIO-58 - PIN FUNCTION = --Spare--
   GpioCtrlRegs.GPBMUX2.bit.GPIO58 = 0;// 0=GPIO,  1=MCLKRA,  2=SCITXDB,  3=EPWM7A
   GpioCtrlRegs.GPBDIR.bit.GPIO58 = 0;		// 1=OUTput,  0=INput
   //	GpioDataRegs.GPBCLEAR.bit.GPIO58 = 1;	// uncomment if --> Set Low initially
   //	GpioDataRegs.GPBSET.bit.GPIO58 = 1;		// uncomment if --> Set High initially
   //--------------------------------------------------------------------------------------
   //--------------------------------------------------------------------------------------
   EDIS;
   // Disable register access
}


