/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#include "pu.h"
#include "pil.h"


//************************************
//Read/Write Probes
//************************************

//Current Setpoint
PIL_SYMBOL_DEF(ControlVars_Iset,Q_IV,I_REF,"A");

//Current Measurement
PIL_SYMBOL_DEF(AIn_Idc, Q_IV, I_REF, "A");

//Hall GPIO
PIL_SYMBOL_DEF(Hall1_HallGpio, 0, 1, "");

//************************************
//Read only Probes
//************************************

//Voltage Setpoint
PIL_SYMBOL_DEF(ControlVars_Vset,Q_IV, V_REF, "V");

//ePWM Config Parameters parameters
PIL_SYMBOL_DEF(pwmConf_PWM1CMPA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM2CMPA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM3CMPA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM1CMPB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM2CMPB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM3CMPB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM1AQCTLA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM2AQCTLA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM3AQCTLA, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM1AQCTLB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM2AQCTLB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM3AQCTLB, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM1AQCSFRC, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM2AQCSFRC, 0, 1, "");
PIL_SYMBOL_DEF(pwmConf_PWM3AQCSFRC, 0, 1, "");
