/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef CONTROL_H_
#define CONTROL_H_

struct CONTROL_VARS {
	uint16_t task1StepCtr;
	uint16_t task2StepCtr;

	uint16_t task1Freq;
	uint16_t task2Freq;

	PIL_OVERRIDE_PROBE(int16_t, Vdc);
	PIL_OVERRIDE_PROBE(int16_t, Vac_maxPerVdc);
	PIL_OVERRIDE_PROBE(int16_t, Vac_maxPerSoftstart);

	PIL_OVERRIDE_PROBE(int16_t, Omega);
	PIL_OVERRIDE_PROBE(uint16_t, Phi);

	int16_t sinOfPhi;
	int16_t cosOfPhi;

	PIL_OVERRIDE_PROBE(int16_t, Vac_set);

	PIL_OVERRIDE_PROBE(int16_t, Vac_set_alpha);
	PIL_OVERRIDE_PROBE(int16_t, Vac_set_beta);

	uint16_t ePWM_Period;
	uint16_t ePWM_CmpU;
	uint16_t ePWM_CmpV;
	uint16_t ePWM_CmpW;

	PIL_OVERRIDE_PROBE(int16_t, Vload_set);

	PIL_OVERRIDE_PROBE(int16_t, Vload_alpha);
	PIL_OVERRIDE_PROBE(int16_t, Vload_beta);

	int16_t VloadF_d;
	int16_t VloadF_q;

	int16_t VloadF;
};

extern struct CONTROL_VARS ControlVars;

extern void InitControl(void);
extern bool_t ProcessInputs(void);
extern void StopControl(void);
extern void StartControl(void);
extern void ResetControl(void);

extern void ControlTask1(void);
extern void ControlTask2(void);

#endif /*CONTROL_H_*/
