/*
 Copyright (c) 2014 by Plexim GmbH
 All rights reserved.

 NOTICE: This software embodies unpublished proprietary
 and trade secret information of Plexim GmbH.  Any copying,
 disclosure or transmission not expressly authorized by
 the owner is expressly prohibited. Plexim GmbH retains exclusive
 ownership of all intellectual property rights in this software,
 including all copyright, trade secret and patent rights.
 */

/**
 * @file svpwm.h
 * @brief Space-vector modulation module.
 */

#ifndef SVPWM_H_
#define SVPWM_H_

#include "plx_types.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct PLX_SVPWM_OBJ
{
	int16_t data[12];
} PLX_SVPWM_Obj_t;

typedef struct PLX_SVPWM_Obj_t *PLX_SVPWM_Handle_t;

extern PLX_SVPWM_Handle_t PLX_SVPWM_init(void *aMemory, const size_t aNumBytes);

extern void PLX_SVPWM_configure(PLX_SVPWM_Handle_t aSvpwmHandle,
		uint16_t aCounterPeriod, uint16_t aNumZeroVectors);

extern void PLX_SVPWM_calcCompareValues(PLX_SVPWM_Handle_t aSvpwmHandle,
		int16_t aVa, int16_t aVb, int16_t aVdc, uint16_t *aCmpU, uint16_t *aCmpV, uint16_t *aCmpW, int16_t *aLimiting);

#ifdef __cplusplus
}
#endif // extern "C"

#endif /* SVPWM_H_ */
